2010k available

Bug #613691 reported by Gary Lasker on 2010-08-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Gary Lasker
Hardy
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Gary Lasker

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2010k:

  - Egypt: Update DST rules (effective from August 10)
  - Finland: Update historic DST rules
  - Micronesia: Zone name changes

Gary Lasker (gary-lasker) wrote :
Gary Lasker (gary-lasker) wrote :

Test case for Egypt, which decided to suspend Daylight Savings Time for Ramadan (starting on August 10, 2010):

Incorrect result with 2010j, keeps Daylight Savings Time after August 10th:

$ LANG= TZ=Egypt date
Thu Aug 5 05:18:47 EEST 2010
$ LANG= TZ=Egypt date -d "next week"
Thu Aug 12 05:19:02 EEST 2010

Correct result with 2010k, suspends Daylight Savings Time after August 10th:

$ LANG= TZ=Egypt date
Thu Aug 5 05:13:51 EEST 2010
$ LANG= TZ=Egypt date -d "next week"
Thu Aug 12 04:13:56 EET 2010

Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Hardy, Jaunty, Karmic, Lucid and Maverick and uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2010k_HARDY/
  http://people.canonical.com/~tremolux/tzdata_2010k_JAUNTY/
  http://people.canonical.com/~tremolux/tzdata_2010k_KARMIC/
  http://people.canonical.com/~tremolux/tzdata_2010k_LUCID/
  http://people.canonical.com/~tremolux/tzdata_2010k_MAVERICK/

I've also prepared an update (for the langpack-locales package) in Dapper, however, when I build and test in my chroot the test case in comment #2 does *not* pass (the time result after August 10th does not change), so I'll have to revisit this one in the morning. Martin, if you get some time to check it, please let me know if you happen to notice a problem with the update for Dapper. It can be found at the location below. Thanks!

  http://people.canonical.com/~tremolux/tzdata_2010k_DAPPER

Changed in tzdata (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010k-0ubuntu1

---------------
tzdata (2010k-0ubuntu1) maverick; urgency=low

  * New upstream release 2010k: (LP: #613691)
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
 -- Gary Lasker <email address hidden> Wed, 04 Aug 2010 21:46:58 -0400

Changed in tzdata (Ubuntu Maverick):
status: In Progress → Fix Released

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Gary,

thanks a lot for those updates! Maverick, Lucid, Karmic, Jaunty looked good, uploaded. For hardy I had to manually unpack, since it used a different tzdata_2010k~repack.orig.tar.gz than the jaunty one; also, I removed the extra ".1" from the version number. So please remove your local copy and re-get hardy from the archive for the next round.

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

I don't see an obvious problem with dapper, the debdiff looks straightforward. Can you compare zdump -v outputs for Egypt with the old and new version? Please feel free to paste them here.

Sorry, I'm quite busy with the alpha-3 release this week; please let me know if this is serious trouble, then we can debug this together.

Changed in tzdata (Ubuntu Dapper):
status: New → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Gary Lasker (gary-lasker) wrote :

Hi Martin, thanks a lot for uploading the updates and for your help!

Re: the dapper update; I compared outputs for zdump -v Egypt before and after installing and they were the same, so something was clearly wrong (and as you said, the debdiff is straightforward so it just didn't make sense). So, I made a fresh dapper chroot and retested, and voila, the update works and the test case works as expected! So it seems my old dapper chroot had gone wonky -- please accept my apologies for the false alarm and for the time you spent looking at that.

So, the upshot is that the dapper update tests good after all and can be uploaded to dapper-proposed whenever you have a chance:

  http://people.canonical.com/~tremolux/tzdata_2010k_DAPPER

I will test the other updates in -proposed today and will report back here.

Thanks again Martin!

Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed for all of the following:

  Hardy
  Jaunty
  Karmic
  Lucid

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: In Progress → Fix Committed
Gary Lasker (gary-lasker) wrote :

I tested the update in dapper-proposed as well now, and it's good. Thanks again, Martin!

Martin Pitt (pitti) on 2010-08-06
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010k-0ubuntu0.10.04

---------------
tzdata (2010k-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2010k: (LP: #613691)
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
 -- Gary Lasker <email address hidden> Wed, 04 Aug 2010 22:34:34 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010k-0ubuntu0.9.10

---------------
tzdata (2010k-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010k: (LP: #613691)
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
 -- Gary Lasker <email address hidden> Wed, 04 Aug 2010 23:06:37 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010k~repack-0ubuntu0.9.04

---------------
tzdata (2010k~repack-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release 2010k: (LP: #613691)
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
 -- Gary Lasker <email address hidden> Wed, 04 Aug 2010 23:28:04 -0400

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010k~repack-0ubuntu0.8.04

---------------
tzdata (2010k~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2010k: (LP: #613691)
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
 -- Gary Lasker <email address hidden> Wed, 04 Aug 2010 23:57:30 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-08-06
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers